    var efectiv
    var depo
    var regas
    var tarje

    function efectivo()
    {
    	efectiv=document.getElementById('efecti').value
    	document.getElementById('ef1').value=efectiv
    }

    function depositos()
    {
    	var depo=document.getElementById('depo').value
    	document.getElementById('de1').value=depo
        
    }

    function regalias()
    {
      
    	var regas=document.getElementById('regvalue').value
    	document.getElementById('re1').value=regas

    }

    function activaregs()
    {
    	 if(document.getElementById('rega').value==0)
       {
          document.getElementById('regs').disabled=true
          document.getElementById('regvalue').disabled=true
          document.getElementById('re1').value=0
       }
       else
       {

          document.getElementById('regs').disabled=false
          document.getElementById('regvalue').disabled=false
          var checkrega=parseFloat(document.getElementById('totals').value)

          var reg=document.getElementById('rega').value
          var res=reg.split("-");
         
         if(checkrega>=res[0])
         {
          document.getElementById('regvalue').value=res[0]
         }
         else
         {

          document.getElementById('regvalue').value=checkrega
         }
      }
    }

    function tarjetas()
    {
    	var tarje=document.getElementById('montotarje').value
        if(document.getElementById('comis').checked==true)
        {
          var comisi=(tarje*0.04)
          document.getElementById('ta2').value=comisi
          document.getElementById('ta1').value=tarje
        }
        else
        {
          document.getElementById('ta2').value=0
         document.getElementById('ta1').value=tarje
        }

    }

    function porpagar()
    {
      porpaga=document.getElementById('pagop').value
      document.getElementById('pp1').value=porpaga

    }

    function voucher(){
      if(document.getElementById('mostrarvalor').innerText=='Voucher no existe')
      {
        alert('Accion invalida')
        document.getElementById('vo1').value=0
      }
      else if(document.getElementById('mostrarvalor').innerText=='-')
      {
        alert('Primero busca un voucher!')
        document.getElementById('vo1').value=0
      }
      else
      {
        var totales=parseFloat(document.getElementById('totals').value)
        var cuenta=parseFloat(document.getElementById('mostrarvalor').innerText)
        if(totales<=cuenta)
        {
          document.getElementById('vouvalue').value=totales
          document.getElementById('vo1').value=totales
        }
        else{
          document.getElementById('vouvalue').value=cuenta
          document.getElementById('vo1').value=cuenta
        }
      }
    }


    function checartotal()
    {
      document.getElementById('ef1').disabled=false
      document.getElementById('de1').disabled=false
      document.getElementById('ta1').disabled=false
      document.getElementById('ta2').disabled=false
      document.getElementById('vo1').disabled=false
      document.getElementById('re1').disabled=false
      document.getElementById('pp1').disabled=false

      var chectotal=parseInt(document.getElementById('totals').value)
      var efc=parseInt(document.getElementById('ef1').value)
      var dec=parseInt(document.getElementById('de1').value)
      var tac=parseInt(document.getElementById('ta1').value)
      var voc=parseInt(document.getElementById('vo1').value)
      var rec=parseInt(document.getElementById('re1').value)
      var porpag=parseInt(document.getElementById('pp1').value)


      var totalcomp=efc+dec+tac+voc+rec+porpag

      if(chectotal==totalcomp)
      {
          var regali=document.getElementById('rega').value
          var res_=regali.split("-");
        if(res_[0]<rec)
        {
          alert("Estas intentando utilizar mas regalias de las disponibles");
          borrar_pagos()
          bloquear_pagos()
        }
        else{
        document.getElementById('dataped').submit()
      }
      }
      else
      {
        document.getElementById('ef1').disabled=true
        document.getElementById('de1').disabled=true
        document.getElementById('ta1').disabled=true
        document.getElementById('ta2').disabled=true
        document.getElementById('vo1').disabled=true
        document.getElementById('re1').disabled=true
        document.getElementById('pp1').disabled=true
        alert('El pedido tiene un problema en los metodos de pago')
      }
    }

    function borrar_pagos()
    {
        document.getElementById('ef1').value=0
        document.getElementById('de1').value=0
        document.getElementById('ta1').value=0
        document.getElementById('ta2').value=0
        document.getElementById('vo1').value=0
        document.getElementById('re1').value=0
        document.getElementById('pp1').value=0
    }

    function bloquear_pagos()
    {

      document.getElementById('ef1').disabled=true
      document.getElementById('de1').disabled=true
      document.getElementById('ta1').disabled=true
      document.getElementById('ta2').disabled=true
      document.getElementById('vo1').disabled=true
      document.getElementById('re1').disabled=true
      document.getElementById('pp1').disabled=true
    }